"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const generatorUtil_1 = require("../../common/main/generatorUtil");
const projectGeneratorInfo_1 = require("../../project/main/projectGeneratorInfo");
class ArtifactGeneratorInfo {
    getTemplates() {
        return [
            projectGeneratorInfo_1.ProjectGeneratorInfo.EMPTY_TEMPLATE,
            projectGeneratorInfo_1.ProjectGeneratorInfo.STANDARD_TEMPLATE
        ];
    }
    getDefaultTemplate() {
        return this.getTemplates()[0];
    }
    isValidTemplate(template) {
        return generatorUtil_1.GeneratorUtil.isValidTemplate(this.getTemplates(), template);
    }
}
ArtifactGeneratorInfo.ARTIFACT_DEFAULT_OPTION = 'makeDefault';
ArtifactGeneratorInfo.ARTIFACT_NAME_OPTION = 'artifactName';
ArtifactGeneratorInfo.ARTIFACT_VERSION_OPTION = 'version';
ArtifactGeneratorInfo.ARTIFACT_DESCRIPTION_OPTION = 'description';
ArtifactGeneratorInfo.VERSION_DESCRIPTOR = 'package2Descriptor.json';
ArtifactGeneratorInfo.SRC_FOLDER = path.join('main', 'default');
ArtifactGeneratorInfo.APPLICATIONS_FOLDER = 'applications';
ArtifactGeneratorInfo.AURA_FOLDER = 'aura';
ArtifactGeneratorInfo.CLASSES_FOLDER = 'classes';
ArtifactGeneratorInfo.CONTENTASSETS_FOLDER = 'contentassets';
ArtifactGeneratorInfo.FLEXIPAGES_FOLDER = 'flexipages';
ArtifactGeneratorInfo.LAYOUTS_FOLDER = 'layouts';
ArtifactGeneratorInfo.LWC_FOLDER = 'lwc';
ArtifactGeneratorInfo.OBJECTS_FOLDER = 'objects';
ArtifactGeneratorInfo.PERMISSIONSETS_FOLDER = 'permissionsets';
ArtifactGeneratorInfo.STATICRESOURCES_FOLDER = 'staticresources';
ArtifactGeneratorInfo.TABS_FOLDER = 'tabs';
ArtifactGeneratorInfo.TRIGGERS_FOLDER = 'triggers';
ArtifactGeneratorInfo.EMPTY_TEMPLATE_METADATA_FOLDERS = [
    ArtifactGeneratorInfo.AURA_FOLDER,
    ArtifactGeneratorInfo.LWC_FOLDER
];
ArtifactGeneratorInfo.METADATA_FOLDERS = [
    ArtifactGeneratorInfo.APPLICATIONS_FOLDER,
    ArtifactGeneratorInfo.AURA_FOLDER,
    ArtifactGeneratorInfo.CLASSES_FOLDER,
    ArtifactGeneratorInfo.CONTENTASSETS_FOLDER,
    ArtifactGeneratorInfo.FLEXIPAGES_FOLDER,
    ArtifactGeneratorInfo.LAYOUTS_FOLDER,
    ArtifactGeneratorInfo.LWC_FOLDER,
    ArtifactGeneratorInfo.OBJECTS_FOLDER,
    ArtifactGeneratorInfo.PERMISSIONSETS_FOLDER,
    ArtifactGeneratorInfo.STATICRESOURCES_FOLDER,
    ArtifactGeneratorInfo.TABS_FOLDER,
    ArtifactGeneratorInfo.TRIGGERS_FOLDER
];
ArtifactGeneratorInfo.VERSION_DEFAULT = '1.0.0.NEXT';
exports.ArtifactGeneratorInfo = ArtifactGeneratorInfo;

//# sourceMappingURL=artifactGeneratorInfo.js.map
