"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Configuration {
    static getCurrentApiVersion() {
        return Configuration.CURRENT_API_VERSION;
    }
    static getCurrentApiVersionString() {
        return Configuration.getCurrentApiVersion().toFixed(1);
    }
    static getDefaultHighApiVersion() {
        return Configuration.getCurrentApiVersion();
    }
    static getDefaultLowApiVersion() {
        return (Configuration.getCurrentApiVersion() - 1);
    }
    static allowArtifacts() {
        return Configuration.allowCreatingArtifacts;
    }
    // Visible For Testing
    static setAllowArtifacts(allow) {
        Configuration.allowCreatingArtifacts = allow;
    }
}
Configuration.CURRENT_API_VERSION = parseInt(new (require('salesforce-alm/dist/lib/core/configApi').Config)().getApiVersion());
Configuration.allowCreatingArtifacts = false;
exports.Configuration = Configuration;

//# sourceMappingURL=configuration.js.map
