"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger = require("./logger");
class ForceGeneratorAdapter {
    constructor(values) {
        this.log = new logger.Log();
        this.values = values;
    }
    prompt(opt, cb) {
        let localValues = this.values;
        let promptPromise = new Promise(function (resolve, reject) {
            let answers = {};
            for (let i = 0; i < opt.length; i++) {
                let question = opt[i];
                if (question.name === 'action') {
                    answers[question.name] = 'write';
                }
                else {
                    let retValue = localValues[question.name];
                    if (!retValue) {
                        retValue = '';
                    }
                    answers[question.name] = retValue;
                }
            }
            resolve(answers);
        });
        promptPromise.then(cb || undefined);
        return promptPromise;
    }
}
exports.ForceGeneratorAdapter = ForceGeneratorAdapter;

//# sourceMappingURL=forceGeneratorAdapter.js.map
