"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const eslintGenerator_1 = require("./eslintGenerator");
const createBase_1 = require("../../common/main/createBase");
const generatorUtil_1 = require("../../common/main/generatorUtil");
const commandUtil_1 = require("../../common/main/commandUtil");
const eslintGeneratorInfo_1 = require("./eslintGeneratorInfo");
const Messages = require("../../common/main/Messages");
class ESLintModule {
    static getFlagMap() {
        let flagMap = new Map();
        return flagMap;
    }
    create(targetPath, options) {
        return __awaiter(this, void 0, void 0, function* () {
            let addGenerators = function (env) {
                env.registerStub(eslintGenerator_1.ESLintGenerator, eslintGenerator_1.ESLintGenerator.GENERATOR_NAME);
            };
            let checkInputs = function () {
                let templateName = options['template'];
                if (templateName) {
                    if (!ESLintModule.genInfo.isValidTemplate(templateName)) {
                        return Messages.get('InvalidTemplate');
                    }
                }
                // TODO check other inputs ?
                return '';
            };
            let createOptions = options;
            let rawOutput = yield new createBase_1.CreateBase().create(eslintGeneratorInfo_1.ESLintGeneratorInfo.ESLINT_RC, targetPath, createOptions, eslintGenerator_1.ESLintGenerator.GENERATOR_NAME, checkInputs, addGenerators);
            if (options['json']) {
                return generatorUtil_1.GeneratorUtil.jsonOutput(rawOutput);
            }
            else {
                return rawOutput;
            }
        });
    }
    static getPathFlagName() {
        return commandUtil_1.CommandUtil.PATH_FLAG;
    }
    static reflectCreate() {
        let reflect = { flags: {} };
        generatorUtil_1.GeneratorUtil.addCommonFlags2(reflect, ESLintModule.genInfo.getTemplates(), ESLintModule.genInfo.getDefaultTemplate());
        return reflect;
    }
}
ESLintModule.genInfo = new eslintGeneratorInfo_1.ESLintGeneratorInfo();
exports.ESLintModule = ESLintModule;

//# sourceMappingURL=eslintModule.js.map
