"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lightningAppGeneratorInfo_1 = require("../../lightningapp/main/lightningAppGeneratorInfo");
const lightningCmpGeneratorInfo_1 = require("../../lightningcmp/main/lightningCmpGeneratorInfo");
const lightningLwcGeneratorInfo_1 = require("../../lightninglwc/main/lightningLwcGeneratorInfo");
const lightningEvtGeneratorInfo_1 = require("../../lightningevt/main/lightningEvtGeneratorInfo");
const lightningIntfGeneratorInfo_1 = require("../../lightningintf/main/lightningIntfGeneratorInfo");
const lightningTypes_1 = require("./lightningTypes");
class LightningTypesInfo {
    static getInfo(bundleType) {
        return LightningTypesInfo.typeToInfo.get(bundleType);
    }
}
LightningTypesInfo.infoMapGenerator = function () {
    let theMap = new Map();
    theMap.set(lightningTypes_1.LightningBundles[lightningTypes_1.LightningBundles.lightningapp], new lightningAppGeneratorInfo_1.LightningAppGeneratorInfo());
    theMap.set(lightningTypes_1.LightningBundles[lightningTypes_1.LightningBundles.lightningcmp], new lightningCmpGeneratorInfo_1.LightningCmpGeneratorInfo());
    theMap.set(lightningTypes_1.LightningBundles[lightningTypes_1.LightningBundles.lightningwebcomponent], new lightningLwcGeneratorInfo_1.LightningLwcGeneratorInfo());
    theMap.set(lightningTypes_1.LightningBundles[lightningTypes_1.LightningBundles.lightningevt], new lightningEvtGeneratorInfo_1.LightningEvtGeneratorInfo());
    theMap.set(lightningTypes_1.LightningBundles[lightningTypes_1.LightningBundles.lightningintf], new lightningIntfGeneratorInfo_1.LightningIntfGeneratorInfo());
    return theMap;
};
LightningTypesInfo.typeToInfo = LightningTypesInfo.infoMapGenerator();
exports.LightningTypesInfo = LightningTypesInfo;

//# sourceMappingURL=lightningTypesInfo.js.map
