"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LegacyCommand_1 = require("../../../../common/main/LegacyCommand");
const apexCreateCommand_1 = require("../../../../apex/main/apexCreateCommand");
class ApexClassCreateCommand extends LegacyCommand_1.LegacyCommand {
    runLegacy(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return apexCreateCommand_1.apexClassCreateCommand.run(context);
        });
    }
}
ApexClassCreateCommand.description = `${apexCreateCommand_1.apexClassCreateCommand.description}\n\n${apexCreateCommand_1.apexClassCreateCommand.help}`;
ApexClassCreateCommand.longDescription = apexCreateCommand_1.apexClassCreateCommand.longDescription;
ApexClassCreateCommand.hidden = !!apexCreateCommand_1.apexClassCreateCommand.hidden;
ApexClassCreateCommand.args = apexCreateCommand_1.apexClassCreateCommand.args;
ApexClassCreateCommand.requiresProject = apexCreateCommand_1.apexClassCreateCommand.requiresProject;
ApexClassCreateCommand.flagsConfig = LegacyCommand_1.LegacyCommand.toFlagsConfig(apexCreateCommand_1.apexClassCreateCommand.flags);
exports.ApexClassCreateCommand = ApexClassCreateCommand;

//# sourceMappingURL=create.js.map
