"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LegacyCommand_1 = require("../../../common/main/LegacyCommand");
const artifactCreateCommand_1 = require("../../../artifact/main/artifactCreateCommand");
class ArtifactCreateCommand extends LegacyCommand_1.LegacyCommand {
    runLegacy(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return artifactCreateCommand_1.artifactCreateCommand.run(context);
        });
    }
}
ArtifactCreateCommand.description = `${artifactCreateCommand_1.artifactCreateCommand.description}\n\n${artifactCreateCommand_1.artifactCreateCommand.help}`;
ArtifactCreateCommand.longDescription = artifactCreateCommand_1.artifactCreateCommand.longDescription;
ArtifactCreateCommand.hidden = !!artifactCreateCommand_1.artifactCreateCommand.hidden;
ArtifactCreateCommand.args = artifactCreateCommand_1.artifactCreateCommand.args;
ArtifactCreateCommand.requiresProject = artifactCreateCommand_1.artifactCreateCommand.requiresProject;
ArtifactCreateCommand.flagsConfig = LegacyCommand_1.LegacyCommand.toFlagsConfig(artifactCreateCommand_1.artifactCreateCommand.flags);
exports.ArtifactCreateCommand = ArtifactCreateCommand;

//# sourceMappingURL=create.js.map
