"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LegacyCommand_1 = require("../../../common/main/LegacyCommand");
const eslintCreateCommand_1 = require("../../../eslint/main/eslintCreateCommand");
class EslintCreateCommand extends LegacyCommand_1.LegacyCommand {
    runLegacy(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return eslintCreateCommand_1.eslintCreateCommand.run(context);
        });
    }
}
EslintCreateCommand.description = `${eslintCreateCommand_1.eslintCreateCommand.description}\n\n${eslintCreateCommand_1.eslintCreateCommand.help}`;
EslintCreateCommand.longDescription = eslintCreateCommand_1.eslintCreateCommand.longDescription;
EslintCreateCommand.hidden = !!eslintCreateCommand_1.eslintCreateCommand.hidden;
EslintCreateCommand.args = eslintCreateCommand_1.eslintCreateCommand.args;
EslintCreateCommand.requiresProject = eslintCreateCommand_1.eslintCreateCommand.requiresProject;
EslintCreateCommand.flagsConfig = LegacyCommand_1.LegacyCommand.toFlagsConfig(eslintCreateCommand_1.eslintCreateCommand.flags);
exports.EslintCreateCommand = EslintCreateCommand;

//# sourceMappingURL=create.js.map
