"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LegacyCommand_1 = require("../../../../common/main/LegacyCommand");
const lightningCreateCommand_1 = require("../../../../lightning/main/lightningCreateCommand");
class LightningAppCreateCommand extends LegacyCommand_1.LegacyCommand {
    runLegacy(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return lightningCreateCommand_1.lightningAppCreateCommand.run(context);
        });
    }
}
LightningAppCreateCommand.description = `${lightningCreateCommand_1.lightningAppCreateCommand.description}\n\n${lightningCreateCommand_1.lightningAppCreateCommand.help}`;
LightningAppCreateCommand.longDescription = lightningCreateCommand_1.lightningAppCreateCommand.longDescription;
LightningAppCreateCommand.hidden = !!lightningCreateCommand_1.lightningAppCreateCommand.hidden;
LightningAppCreateCommand.args = lightningCreateCommand_1.lightningAppCreateCommand.args;
LightningAppCreateCommand.requiresProject = lightningCreateCommand_1.lightningAppCreateCommand.requiresProject;
LightningAppCreateCommand.flagsConfig = LegacyCommand_1.LegacyCommand.toFlagsConfig(lightningCreateCommand_1.lightningAppCreateCommand.flags);
exports.LightningAppCreateCommand = LightningAppCreateCommand;

//# sourceMappingURL=create.js.map
