"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LegacyCommand_1 = require("../../../../common/main/LegacyCommand");
const lightningTestCreateCommand_1 = require("../../../../lightningtest/main/lightningTestCreateCommand");
class LightningTestCreateCommand extends LegacyCommand_1.LegacyCommand {
    runLegacy(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return lightningTestCreateCommand_1.lightningTestCreateCommand.run(context);
        });
    }
}
LightningTestCreateCommand.description = `${lightningTestCreateCommand_1.lightningTestCreateCommand.description}\n\n${lightningTestCreateCommand_1.lightningTestCreateCommand.help}`;
LightningTestCreateCommand.longDescription = lightningTestCreateCommand_1.lightningTestCreateCommand.longDescription;
LightningTestCreateCommand.hidden = !!lightningTestCreateCommand_1.lightningTestCreateCommand.hidden;
LightningTestCreateCommand.args = lightningTestCreateCommand_1.lightningTestCreateCommand.args;
LightningTestCreateCommand.requiresProject = lightningTestCreateCommand_1.lightningTestCreateCommand.requiresProject;
LightningTestCreateCommand.flagsConfig = LegacyCommand_1.LegacyCommand.toFlagsConfig(lightningTestCreateCommand_1.lightningTestCreateCommand.flags);
exports.LightningTestCreateCommand = LightningTestCreateCommand;
