"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LegacyCommand_1 = require("../../../common/main/LegacyCommand");
const manifestCreateCommand_1 = require("../../../manifest/main/manifestCreateCommand");
class ManifestCreateCommand extends LegacyCommand_1.LegacyCommand {
    runLegacy(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return manifestCreateCommand_1.manifestCreateCommand.run(context);
        });
    }
}
ManifestCreateCommand.description = `${manifestCreateCommand_1.manifestCreateCommand.description}\n\n${manifestCreateCommand_1.manifestCreateCommand.help}`;
ManifestCreateCommand.longDescription = manifestCreateCommand_1.manifestCreateCommand.longDescription;
ManifestCreateCommand.hidden = !!manifestCreateCommand_1.manifestCreateCommand.hidden;
ManifestCreateCommand.args = manifestCreateCommand_1.manifestCreateCommand.args;
ManifestCreateCommand.requiresProject = manifestCreateCommand_1.manifestCreateCommand.requiresProject;
ManifestCreateCommand.flagsConfig = LegacyCommand_1.LegacyCommand.toFlagsConfig(manifestCreateCommand_1.manifestCreateCommand.flags);
exports.ManifestCreateCommand = ManifestCreateCommand;

//# sourceMappingURL=create.js.map
