"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LegacyCommand_1 = require("../../../common/main/LegacyCommand");
const prettierCreateCommand_1 = require("../../../prettier/main/prettierCreateCommand");
class PrettierCreateCommand extends LegacyCommand_1.LegacyCommand {
    runLegacy(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return prettierCreateCommand_1.prettierCreateCommand.run(context);
        });
    }
}
PrettierCreateCommand.description = `${prettierCreateCommand_1.prettierCreateCommand.description}\n\n${prettierCreateCommand_1.prettierCreateCommand.help}`;
PrettierCreateCommand.longDescription = prettierCreateCommand_1.prettierCreateCommand.longDescription;
PrettierCreateCommand.hidden = !!prettierCreateCommand_1.prettierCreateCommand.hidden;
PrettierCreateCommand.args = prettierCreateCommand_1.prettierCreateCommand.args;
PrettierCreateCommand.requiresProject = prettierCreateCommand_1.prettierCreateCommand.requiresProject;
PrettierCreateCommand.flagsConfig = LegacyCommand_1.LegacyCommand.toFlagsConfig(prettierCreateCommand_1.prettierCreateCommand.flags);
exports.PrettierCreateCommand = PrettierCreateCommand;

//# sourceMappingURL=create.js.map
