"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LegacyCommand_1 = require("../../../../common/main/LegacyCommand");
const vfPageCreateCommand_1 = require("../../../../visualforcepage/main/vfPageCreateCommand");
class VisualforcePageCreateCommand extends LegacyCommand_1.LegacyCommand {
    runLegacy(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return vfPageCreateCommand_1.vfPageCreateCommand.run(context);
        });
    }
}
VisualforcePageCreateCommand.description = `${vfPageCreateCommand_1.vfPageCreateCommand.description}\n\n${vfPageCreateCommand_1.vfPageCreateCommand.help}`;
VisualforcePageCreateCommand.longDescription = vfPageCreateCommand_1.vfPageCreateCommand.longDescription;
VisualforcePageCreateCommand.hidden = !!vfPageCreateCommand_1.vfPageCreateCommand.hidden;
VisualforcePageCreateCommand.args = vfPageCreateCommand_1.vfPageCreateCommand.args;
VisualforcePageCreateCommand.requiresProject = vfPageCreateCommand_1.vfPageCreateCommand.requiresProject;
VisualforcePageCreateCommand.flagsConfig = LegacyCommand_1.LegacyCommand.toFlagsConfig(vfPageCreateCommand_1.vfPageCreateCommand.flags);
exports.VisualforcePageCreateCommand = VisualforcePageCreateCommand;

//# sourceMappingURL=create.js.map
