"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LegacyCommand_1 = require("../../../common/main/LegacyCommand");
const vscodeCreateCommand_1 = require("../../../vscode/main/vscodeCreateCommand");
class VscodeCreateCommand extends LegacyCommand_1.LegacyCommand {
    runLegacy(context) {
        return __awaiter(this, void 0, void 0, function* () {
            return vscodeCreateCommand_1.vscodeCreateCommand.run(context);
        });
    }
}
VscodeCreateCommand.description = `${vscodeCreateCommand_1.vscodeCreateCommand.description}\n\n${vscodeCreateCommand_1.vscodeCreateCommand.help}`;
VscodeCreateCommand.longDescription = vscodeCreateCommand_1.vscodeCreateCommand.longDescription;
VscodeCreateCommand.hidden = !!vscodeCreateCommand_1.vscodeCreateCommand.hidden;
VscodeCreateCommand.args = vscodeCreateCommand_1.vscodeCreateCommand.args;
VscodeCreateCommand.requiresProject = vscodeCreateCommand_1.vscodeCreateCommand.requiresProject;
VscodeCreateCommand.flagsConfig = LegacyCommand_1.LegacyCommand.toFlagsConfig(vscodeCreateCommand_1.vscodeCreateCommand.flags);
exports.VscodeCreateCommand = VscodeCreateCommand;

//# sourceMappingURL=create.js.map
