"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const prettierGenerator_1 = require("./prettierGenerator");
const createBase_1 = require("../../common/main/createBase");
const generatorUtil_1 = require("../../common/main/generatorUtil");
const commandUtil_1 = require("../../common/main/commandUtil");
const prettierGeneratorInfo_1 = require("./prettierGeneratorInfo");
class PrettierModule {
    static getFlagMap() {
        let flagMap = new Map();
        return flagMap;
    }
    create(targetPath, options) {
        return __awaiter(this, void 0, void 0, function* () {
            let addGenerators = function (env) {
                env.registerStub(prettierGenerator_1.PrettierGenerator, prettierGenerator_1.PrettierGenerator.GENERATOR_NAME);
            };
            let checkInputs = function () {
                return '';
            };
            let createOptions = options;
            let rawOutput = yield new createBase_1.CreateBase().create(prettierGeneratorInfo_1.PrettierGeneratorInfo.PRETTIER_RC, targetPath, createOptions, prettierGenerator_1.PrettierGenerator.GENERATOR_NAME, checkInputs, addGenerators);
            if (options['json']) {
                return generatorUtil_1.GeneratorUtil.jsonOutput(rawOutput);
            }
            else {
                return rawOutput;
            }
        });
    }
    static getPathFlagName() {
        return commandUtil_1.CommandUtil.PATH_FLAG;
    }
    static reflectCreate() {
        let reflect = { flags: {} };
        return reflect;
    }
}
exports.PrettierModule = PrettierModule;

//# sourceMappingURL=prettierModule.js.map
